Package Details: nvidia-hook 2.3-1

Git Clone URL: https://aur.archlinux.org/nvidia-hook.git (read-only)
Package Base: nvidia-hook
Description: mkinitcpio hook to compile the NVIDIA modules
Upstream URL: https://github.com/alucryd/mkinitcpio-hooks
Licenses: GPL3
Submitter: alucryd
Maintainer: alucryd
Last Packager: alucryd
Votes: 50
Popularity: 0.236196
First Submitted: 2012-10-19 15:21
Last Updated: 2015-09-04 14:37

Latest Comments

alucryd commented on 2016-02-19 13:12

Most likely yes, but not just yet. You can use this for now: https://aur.archlinux.org/packages/pacman-hook-dkms

AnAkkk commented on 2016-02-19 12:53

Are these hooks going to be included in some official arch package?

alucryd commented on 2016-02-07 13:50

I just added 2 generic dkms hooks to Andrew's hooks. You can check them out here: https://github.com/alucryd/pachooks. I'll probably retire my *-hook packages soon.

alucryd commented on 2016-02-02 12:12

@AnAkk, yes that is the plan, I'll try to look into hooks this week-end, should be able to free some time.

AnAkkk commented on 2016-02-02 12:02

Could this be turned into a pacman 5 hook? This way it could properly be applied _after_ both kernel and headers package are installed, as this often not the case since pacman install the headers last.

alucryd commented on 2016-01-06 19:57

Maybe, and when I have time I'll fix this, unless someone sends a pr before, but that was no reason to erase the entire section about hooks in the wiki without a proper investigation.

zenlord commented on 2016-01-06 19:17

@alucryd, no I did not know that. The DKMS-version of the legacy driver I need is not building due to a GCC version mismatch, so I cannot test until the bug that I reported has been solved.
That doesn't change the fact that this package does not work with nvidia-340xx

alucryd commented on 2016-01-06 14:57

@zenlord: You do realize that dkms.service won't build the modules in time for Xorg to work and you'll have to reboot anyway? Using this hook was the only way to have a working system after a single reboot, dkms.service needs 2 of them.

zenlord commented on 2015-12-21 19:28

I have added a bugreport based on douedd's comment below. https://bugs.archlinux.org/task/47477

Also, I will notify the package maintainer that indeed the PKGBUILD needs to be changed due to changes in legacy nvidia-drivers.

douedd commented on 2015-09-30 09:18

Also, the legacy packages in extra should probably be updated to provide 'nvidia-dkms'.

All comments